---
id: 68e9207ddcba053c5cb24413
title: Step 2
challengeType: 20
dashedName: step-2
---

# --description--

In Python, type hints are optional signals that tell other developers what the data type of a variable or function is expected to be. Here is an example that adds the type hint `str` to the `name` parameter.

```py
def greet(name: str):
    return 'Hello, ' + name
```

For the `__init__` method parameters, update the `name` parameter to have the type hint `str` and the `price` parameter to have the type hint `float`.

# --hints--

You should add the type hint `str` to the `name` parameter and the type hint `float` to the `price` parameter in the `__init__` method of the `Product` class.

```js
({
  test: () => runPython(`assert _Node(_code).find_class("Product").find_function("__init__").has_args("self, name: str, price: float")`)
})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--
class Product:
    def __init__(self, name, price):
        self.name = name
        self.price = price
--fcc-editable-region--
```
